## palin

#### OS/161 Reference Manual

### Name

palin - simple VM test

### Synopsis

`/testbin/palin`

### Description

`palin` checks a long string contained within itself for being palindromic. The check should pass.

The string is not actually all that long and this test does not stress the VM in any real sense of the word. However, it might be a useful test early on in the debugging phase.

### Requirements

`palin` uses the following system calls:

- write
- _exit

`palin` should run correctly once the basic system calls are complete, and should continue to run correctly once the VM system assignment is complete.